org.eclipse.graphiti.features.impl

## Class DefaultRemoveBendpointFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.DefaultRemoveBendpointFeature

All Implemented Interfaces:
  IFeature, IFeatureProviderHolder, IRemoveBendpointFeature, IDescription, IName

    public class DefaultRemoveBendpointFeature
    extends AbstractFeature
    implements IRemoveBendpointFeature

The Class DefaultRemoveBendpointFeature.

### Constructor Summary

Constructors
Constructor and Description
`DefaultRemoveBendpointFeature(IFeatureProvider fp)` Creates a new `DefaultRemoveBendpointFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute(IContext context)` Decides if the current feature can execute with the given context.
`boolean` `canRemoveBendpoint(IRemoveBendpointContext context)` Can remove bendpoint.
`void` `execute(IContext context)` Executes the current feature with the given context.
`String` `getName()` Gets the name.
`void` `removeBendpoint(IRemoveBendpointContext context)` Removes the bendpoint.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`canUndo, getDescription, getFeatureProvider, hasDoneChanges, isAvailable, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### DefaultRemoveBendpointFeature

    public DefaultRemoveBendpointFeature(IFeatureProvider fp)

Creates a new `DefaultRemoveBendpointFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### canRemoveBendpoint

    public boolean canRemoveBendpoint(IRemoveBendpointContext context)

Description copied from interface: `IRemoveBendpointFeature`
Can remove bendpoint.

Specified by:
  `canRemoveBendpoint` in interface `IRemoveBendpointFeature`
Parameters:
  `context` - the context
Returns:
  true, if successful

#### removeBendpoint

    public void removeBendpoint(IRemoveBendpointContext context)

Description copied from interface: `IRemoveBendpointFeature`
Removes the bendpoint.

Specified by:
  `removeBendpoint` in interface `IRemoveBendpointFeature`
Parameters:
  `context` - the context

#### canExecute

    public boolean canExecute(IContext context)

Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  `IContext`

#### execute

    public void execute(IContext context)

Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  `IContext`

#### getName

    public String getName()

Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name